Package org.apache.lucene.analysis.classic

# Class ClassicFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.classic.ClassicFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public class ClassicFilter extends TokenFilter
Normalizes tokens extracted with `ClassicTokenizer`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

## Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

## Constructor Summary

Constructors
Constructor
Description
`ClassicFilter(TokenStream in)`
Construct filtering in.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`incrementToken()`
Returns the next token in the stream, or null at EOS.

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset, unwrap`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassicFilter

public ClassicFilter(TokenStream in)
Construct filtering in.

## Method Details

### incrementToken

public final boolean incrementToken() throws IOException
Returns the next token in the stream, or null at EOS.

Removes `'s` from the end of words.

Removes dots from acronyms.

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`